[Scummvm-cvs-logs] SF.net SVN: scummvm:[55144] scummvm/trunk/backends/platform/dc

marcus_c at users.sourceforge.net marcus_c at users.sourceforge.net
Fri Jan 7 15:40:25 CET 2011


Revision: 55144
          http://scummvm.svn.sourceforge.net/scummvm/?rev=55144&view=rev
Author:   marcus_c
Date:     2011-01-07 14:40:25 +0000 (Fri, 07 Jan 2011)

Log Message:
-----------
DC: Check plugins for required symbols

Make sure that all the required symbols exist in generated plugins.
If not, the strip command may have removed them...

Modified Paths:
--------------
    scummvm/trunk/backends/platform/dc/dreamcast.mk

Added Paths:
-----------
    scummvm/trunk/backends/platform/dc/check_plugin_symbols

Added: scummvm/trunk/backends/platform/dc/check_plugin_symbols
===================================================================
--- scummvm/trunk/backends/platform/dc/check_plugin_symbols	                        (rev 0)
+++ scummvm/trunk/backends/platform/dc/check_plugin_symbols	2011-01-07 14:40:25 UTC (rev 55144)
@@ -0,0 +1,15 @@
+#! /bin/sh
+case "$0" in
+  */*) dir=`dirname "$0"`/;;
+  *) dir="";;
+esac
+exec < "$dir"plugin.syms
+while read sym; do
+  if sh-elf-nm "$1" | grep >/dev/null " $sym"'$'; then
+    :
+  else
+    echo >&2 "ERROR: Symbol $sym missing from $1"
+    exit 1
+  fi
+done
+exit 0


Property changes on: scummvm/trunk/backends/platform/dc/check_plugin_symbols
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mime-type
   + text/plain
Added: svn:eol-style
   + native

Modified: scummvm/trunk/backends/platform/dc/dreamcast.mk
===================================================================
--- scummvm/trunk/backends/platform/dc/dreamcast.mk	2011-01-07 12:43:00 UTC (rev 55143)
+++ scummvm/trunk/backends/platform/dc/dreamcast.mk	2011-01-07 14:40:25 UTC (rev 55144)
@@ -14,6 +14,7 @@
 	  if /usr/bin/test "$$p" -ot "$$t"; then :; else \
 	    echo sh-elf-strip -g -o "$$t" "$$p"; \
 	    sh-elf-strip -g -o "$$t" "$$p"; \
+	    $(srcdir)/backends/platform/dc/check_plugin_symbols "$$t"; \
           fi;\
 	done
 


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.




More information about the Scummvm-git-logs mailing list